Last modified: 2013-01-09 15:10:48 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28557 - Message documentation for Extension:AddMediaWizard needed.
Message documentation for Extension:AddMediaWizard needed.
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
AddMediaWizard (Other open bugs)
unspecified
All All
: Normal normal with 1 vote (vote)
: ---
Assigned To: Michael Dale
http://translatewiki.net/w/i.php?titl...
: i18n
Depends on:
Blocks: 18521 messages
  Show dependency treegraph
 
Reported: 2011-04-15 18:21 UTC by Purodha Blissenbach
Modified: 2013-01-09 15:10 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2011-04-15 18:21:17 UTC
There are several interface messages being used in the AddMediaWizard extension,
which are not or incompletely documentred, which can therefore not be translated
to other languages. These include at least:
* MediaWiki:Mwe-fileexists
* MediaWiki:Mwe-fileexists-thumb
* MediaWiki:Mwe-upload-own-file
* MediaWiki:Mwe-upload-not-my-file
* MediaWiki:Mwe-upload-once-done
* MediaWiki:Mwe-upload-in-new-win-link
* MediaWiki:Mwe-upload-refresh
* MediaWiki:Mwe-ie-inline-upload
* MediaWiki:Mwe-results from
* MediaWiki:Mwe-your-recent-uploads-to
* MediaWiki:Mwe-not-logged-in-uploads (What does "action" mean? An URL?)
* MediaWiki:Mwe-missing desc see source (minor)
* MediaWiki:Mwe-ie-eye-permision (you do not mean that literally, do you?
* MediaWiki:Mwe-upload-a-file-to
* MediaWiki:Mwe-upload-a-file
* MediaWiki:Mwe-resource page desc
* MediaWiki:mwe-do_import_resource
* MediaWiki:Mwe-preview insert resource
* MediaWiki:Mwe-do-more-modification (Also check the wording: modificationS)
* MediaWiki:Mwe-checking-resource
* MediaWiki:Mwe-resource-needs-import
* MediaWiki:Mwe-warning-upload-to-commons
* MediaWiki:Mwe-local-upload-policy-link
* MediaWiki:Mwe-am-kaltura-title (What is Kaltura?)
* MediaWiki:Mwe-am-kaltura (What is Kaltura?)
* MediaWiki:Mwe-am-this wiki-title (the difference to mwe-am-this wiki-desc?)
* MediaWiki:Mwe-am-this wiki-desc (the difference to mwe-am-this wiki-title?)
* 

Please add their usage (button, tooltip, text, ...), context, paramaters, parameter types and descriptions, wether or not several ambiguous words are verbs or nouns (e.g. "upload"), interrelations between messages, and what else is needed for translators.

Also,
* MediaWiki:mwe-no-import-by-url
appears to have an improper mix of HTML inline und block elements.
Comment 1 Michael Dale 2011-04-15 18:26:47 UTC
Thanks for the detailed report. 

The most recent version of the AMW swaps the "inline upload component" for the UploadWizard. So quite a few upload messages will be deprecated. 

Updating the messages given their use context also sounds like a good idea. Do we have message key style guidelines anywhere? 

I will try and clean this up next week.
Comment 2 Purodha Blissenbach 2011-05-10 14:27:33 UTC
> Do we have message key style guidelines anywhere? 

http://translatewiki.net/wiki/Translating:Localisation_for_developers#Message_identification
is one rudimentary one. I was not able to spot another adding to the information there.
Comment 3 Niklas Laxström 2011-09-09 08:50:31 UTC
Missing message documentation blocks proper l10n.
Comment 4 Michael Dale 2011-09-13 19:36:31 UTC
Thanks for the update. Can we put this extension in stealth mode. I won't have time to revive efforts here add message documentation etc, until post Timed Media Handler deployment.
Comment 5 Andre Klapper 2013-01-09 13:38:53 UTC
mdale:
This report has been in ASSIGNED status for more than one year and you are set as its assignee. In case that you are not actively working on a fix, please reset the bug status to NEW/UNCONFIRMED.
In case you do not plan to work on a fix in the near future: Please also edit the "Assigned To" field by clicking "Reset Assignee to default", in order to not prevent potential contributors from working on a fix. Thanks for your help!
[assigned>=1y]
Comment 6 Nemo 2013-01-09 15:10:48 UTC
(In reply to comment #5)
> mdale:
> This report has been in ASSIGNED status for more than one year

(In reply to comment #4)
> Thanks for the update. Can we put this extension in stealth mode.

This was done a while ago given that AMW is obsoleted, and as far as I understand it will still be.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links